## noris-nagios-notifyplugins 4.0-12

=== Makefile ===
build:

install:
	cp -r usr/ etc/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/notify_rt --section=1 ${DESTDIR}/usr/share/man/man1/notify_rt.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-notifyplugins (4.0-12) stable; urgency=low

  * RT#436582: notify_rt: bugfix for sequences which are merged by subject

 -- Martin H. Sluka <fany@noris.net>  Mon, 23 Jun 2008 19:53:09 +0200

noris-nagios-notifyplugins (4.0-11) stable; urgency=low

  * Changed voice output to some totaly boring. (RT#357694-27)
    - Fixed template for notify_host_voice.

 -- Hardy Kestin <hardy@noris.net>  Wed,  7 May 2008 14:28:58 +0200

noris-nagios-notifyplugins (4.0-10) stable; urgency=low

  * Added Nagioshost to notify_email, notify_voice.
    -- Related to RT#357694.

 -- Hardy Kestin <hardy@noris.net>  Tue, 18 Mar 2008 11:40:29 +0100

noris-nagios-notifyplugins (4.0-9) stable; urgency=low

  * Changed expire-time in template for notify_rt to 25 hours (RT#359936).

 -- Hardy Kestin <hardy@noris.net>  Mon, 26 Nov 2007 12:30:32 +0100

noris-nagios-notifyplugins (4.0-8) stable; urgency=low

  * RT#382369: notify_rt fängt nun falsche Optionen ab.

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Wed, 14 Nov 2007 15:14:24 +0100

noris-nagios-notifyplugins (4.0-7) stable; urgency=low

  * RT#380678: Workaround fuer komisches Parameterverhalten seit
    Hostnameanzeige.

 -- Hardy Kestin <hardy@noris.net>  Thu,  8 Nov 2007 10:33:55 +0100

noris-nagios-notifyplugins (4.0-6) stable; urgency=low

  * Output von notify_rt erweitert.

 -- Hardy Kestin <hardy@noris.net>  Tue,  6 Nov 2007 17:50:50 +0100

noris-nagios-notifyplugins (4.0-5) stable; urgency=low

  * Added template for notify-nobody.

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:32:55 +0200

noris-nagios-notifyplugins (4.0-4) stable; urgency=low

  * Removed forgotten script in /usr/bin/.

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:26:37 +0200

noris-nagios-notifyplugins (4.0-3) stable; urgency=low

  * Changed Conflicts:

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:25:09 +0200

noris-nagios-notifyplugins (4.0-2) stable; urgency=low

  * Changed RT-Notification

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:15:19 +0200

noris-nagios-notifyplugins (4.0-1) stable; urgency=high

  * Splitted off from miscplugins.

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:03:42 +0200

noris-nagios-miscplugins (4.0-16) stable; urgency=low

  * Increased expire-time for RT-Notification from 3h to 16h. 
    - (Closes: #352515)

 -- Hardy Kestin <hardy@noris.net>  Thu, 12 Jul 2007 15:17:39 +0200

noris-nagios-miscplugins (4.0-15) stable; urgency=low

  * Added Plugin map_states.
    - This Plugin can be used to manipulate Results of plugins.

 -- Hardy Kestin <hardy@noris.net>  Thu, 12 Jul 2007 13:58:55 +0200

noris-nagios-miscplugins (4.0-14) stable; urgency=low

  * added check_log_allow_percent (check_log don't like the percent char in
    logfiles)

 -- Micha Krause <Micha@noris.de>  Tue, 10 Jul 2007 15:58:04 +0200

noris-nagios-miscplugins (4.0-13) stable; urgency=low

  * The Macro DATETIME also got replaced... :-(
    - Now we have to use $LONGDATETIME$ or $SHORTDATETIME$.

 -- Hardy Kestin <hardy@noris.net>  Tue,  3 Jul 2007 11:07:30 +0200

noris-nagios-miscplugins (4.0-12) stable; urgency=low

  * Fixed Path to nagios' Log- and Statefiles.
  * OUTPUT-Variable changed from Nagios1.x to 2.x
    - Now they use $SERVICEOUTPUT$ and $HOSTOUTPUT$ instead of $OUTPUT$.

 -- Hardy Kestin <hardy@noris.net>  Tue,  3 Jul 2007 10:42:40 +0200

noris-nagios-miscplugins (4.0-11) stable; urgency=low

  * Removed check_noris_radius (Closes: #311418).
    - We use the default check_radius instead.

 -- Hardy Kestin <hardy@noris.net>  Wed, 27 Jun 2007 12:48:12 +0200

noris-nagios-miscplugins (4.0-10) stable; urgency=low

  * deleted root from recipients for hotlinereport

 -- Micha Krause <Micha@noris.de>  Tue, 26 Jun 2007 09:43:10 +0200

noris-nagios-miscplugins (4.0-9) stable; urgency=low

  * Added Workaround for broken perl-Scripts (RT#343335).
    - check_smsgw

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 16:36:49 +0200

noris-nagios-miscplugins (4.0-8) stable; urgency=low

  * Added Workaround for broken perl-Scripts (RT#343335).
    - check_postfachliste

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 16:13:33 +0200

noris-nagios-miscplugins (4.0-7) stable; urgency=low

  * Added Template for check_ssl-cert.

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 14:39:18 +0200

noris-nagios-miscplugins (4.0-6) stable; urgency=low

  * Added Template for check_postfachliste.

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 12:03:18 +0200

noris-nagios-miscplugins (4.0-5) stable; urgency=low

  * Added Workaround for broken perl-Scripts (RT#343335)
    - check_noris_radius, check_netapp.pl and check_last_modified don't
      work properly with nagios' embedded perl.
  * Removed config for check_joker_balance. It's already included in kunde.

 -- Hardy Kestin <hardy@noris.net>  Mon,  4 Jun 2007 11:24:29 +0200

noris-nagios-miscplugins (4.0-4) stable; urgency=low

  * Added Dependency to libauthen-radius-perl.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 16:24:29 +0200

noris-nagios-miscplugins (4.0-3) stable; urgency=low

  * Removed illegal Brackets from check_last_modified.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 15:54:06 +0200

noris-nagios-miscplugins (4.0-2) stable; urgency=low

  * Splitted off MySQL-Plugins to extra package noris-nagios-mysqlplugins.

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 May 2007 17:26:49 +0200

noris-nagios-miscplugins (4.0-1) stable; urgency=low

  * Rebuilt for etch.
  * Added check_mysql_binlogs.pl.
  * Removed (redundant) check_mysqlprocs.

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 May 2007 16:36:18 +0200

noris-nagios-miscplugins (3.1-22) stable; urgency=low

  * Added priority=5 for RT-Default-Notification.
    - Fixes RT#323906.

 -- Hardy Kestin <hardy@noris.net>  Fri,  2 Mar 2007 12:31:10 +0100

noris-nagios-miscplugins (3.1-21) stable; urgency=low

  * Added notify-to-rt-pub and host-notify-to-rt-pub to misc_notify.cfg.


=== debian/control ===
Source: noris-nagios-notifyplugins
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: noris-nagios-notifyplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, txt2sms, perl-base, libnetsaint-noris-perl (>> 1.1)
Conflicts: noris-nagios-miscplugins (<< 4.0-17)
Description: Notify plugins for Nagios.

## noris-nagios-notifyplugins 5.17

=== debian/changelog ===
noris-nagios-notifyplugins (5.17) lenny; urgency=low

  * added $LONG(HOST|SERVICE)OUTPUT$ (#10271735)

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 30 Sep 2010 13:18:41 +0200

noris-nagios-notifyplugins (5.16) lenny; urgency=low

  * corrected notify_ticket_pub

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 14 Sep 2010 17:32:21 +0200

noris-nagios-notifyplugins (5.15) lenny; urgency=low

  * added check_ticket_freshness (Ticket 10158223) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 14 Sep 2010 15:10:02 +0200

noris-nagios-notifyplugins (5.14) lenny; urgency=low

  * added new version of conffiles 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 09 Sep 2010 18:38:09 +0200

noris-nagios-notifyplugins (5.13) lenny; urgency=low

  * removed line wrap and conffiles 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 09 Sep 2010 18:18:46 +0200

noris-nagios-notifyplugins (5.12) lenny; urgency=low

  * krempel.backup statt krempel.office in notify_ticket.cfg 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 09 Sep 2010 16:45:28 +0200

noris-nagios-notifyplugins (5.11) lenny; urgency=low

  * added "Comment:" 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 07 Sep 2010 09:45:04 +0200

noris-nagios-notifyplugins (5.10) lenny; urgency=low

  * nochn paar Änderungen eingefügt, die bis dato nur händisch geändert wurden 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 07 Sep 2010 09:02:02 +0200

noris-nagios-notifyplugins (5.9) lenny; urgency=low

  * removed line wrap 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 06 Sep 2010 13:45:19 +0200

noris-nagios-notifyplugins (5.8) lenny; urgency=low

  * added $(HOST|SERVICE)ACKCOMMENT$ (OTRS#10140635) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 06 Sep 2010 13:22:56 +0200

noris-nagios-notifyplugins (5.7) lenny; urgency=low

  * new check_notify (RT#607655) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 23 Jun 2010 11:57:34 +0200

noris-nagios-notifyplugins (5.6) lenny; urgency=low

  * removed syntax error in notify-to-rt-pub (RT#605745)

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 28 May 2010 10:55:53 +0200

noris-nagios-notifyplugins (5.5) lenny; urgency=low

  * added $(HOST|SERVICE)NOTESURL, RT#568494 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 19 May 2010 09:26:16 +0200

noris-nagios-notifyplugins (5.4) lenny; urgency=low

  * notify_ticket: Eingefügt

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 28 Apr 2010 13:56:49 +0200

noris-nagios-notifyplugins (5.3) lenny; urgency=low

  * notify-jabber, RT#566111 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 16 Dec 2009 14:03:19 +0100

noris-nagios-notifyplugins (5.2) lenny; urgency=low

  * notify_rt: POD überarbeitet, Option -intern eingebaut
  * neues Tool notify_ticket, das notify_rt ablösen soll

 -- Martin H. Sluka <fany@noris.net>  Tue, 08 Dec 2009 10:14:09 +0100

noris-nagios-notifyplugins (5.1-5) lenny; urgency=low

  * added "nagios@`hostname -s`" in Subject 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 28 Sep 2009 16:57:50 +0200

noris-nagios-notifyplugins (5.1-4) lenny; urgency=low

  * Wir probieren's mal ohne Wrapper 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 25 Aug 2009 12:04:50 +0200

noris-nagios-notifyplugins (5.1-3) lenny; urgency=low

  * integrated wrapper for notify commands 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 25 Aug 2009 11:15:19 +0200

noris-nagios-notifyplugins (5.1-2) lenny; urgency=low

  * missing "-" before priority (notify_rt.cfg) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 24 Aug 2009 18:06:29 +0200

noris-nagios-notifyplugins (5.1-1) lenny; urgency=low

  * #10039146: notify_rt: no more prefix "noris." in "X-RT-Queue:" header

 -- Martin H. Sluka <fany@noris.net>  Thu, 06 Aug 2009 17:26:59 +0200

noris-nagios-notifyplugins (5.0-5) lenny; urgency=low

  * replaced all nagios2 paths by nagios3 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 06 Aug 2009 11:37:41 +0200

noris-nagios-notifyplugins (5.0-4) lenny; urgency=low

  * added notify_service_html 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 05 Aug 2009 17:15:35 +0200

noris-nagios-notifyplugins (5.0-3) lenny; urgency=low

  * Logverzeichnis /var/log/nagios3 statt nagios2 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 04 Aug 2009 11:26:11 +0200

noris-nagios-notifyplugins (5.0-2) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 09:17:43 +0200

noris-nagios-notifyplugins (5.0-1) stable; urgency=low

  * New version for lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 12:13:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: noris-nagios-notifyplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, txt2sms, perl-base, libnetsaint-noris-perl (>> 1.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, txt2sms, perl-base, libnetsaint-noris-perl (>> 1.1), sendxmpp, noris-identd
 Conflicts: noris-nagios-miscplugins (<< 4.0-17)
 Description: Notify plugins for Nagios.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-notifyplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-notifyplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
#	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-notifyplugins 5.19-0ubuntu0.10.04.3

=== debian/changelog ===
noris-nagios-notifyplugins (5.19-0ubuntu0.10.04.3) lucid; urgency=low

  bla* 

 -- Jean-Denis Gebhardt <jgebhardt@jack64>  Mon, 18 Oct 2010 16:50:20 +0200

noris-nagios-notifyplugins (5.19-0ubuntu0.10.04.2) lucid; urgency=low

  * Testpaket zwecks namengebung.

 -- Jean-Denis Gebhardt <jgebhardt@jack64>  Mon, 18 Oct 2010 16:28:18 +0200

noris-nagios-notifyplugins (5.18) lucid; urgency=low

  * Testpacket fuer achmed.
  * 

 -- Jean-Denis Gebhardt <jgebhardt@jack64>  Mon, 18 Oct 2010 16:08:33 +0200

=== debian/control ===
Source: noris-nagios-notifyplugins
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2-0ubuntu0.10.04.2

Package: noris-nagios-notifyplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl-base, sendxmpp
Conflicts: noris-nagios-miscplugins (<< 4.0-17)
Description: Notify plugins for Nagios.
